Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/dyn1d/1DUTILS.h	(revision 3356)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/dyn1d/1DUTILS.h	(revision 3411)
@@ -3569,5 +3569,5 @@
         read (ilesfile,*) kmax2,nt1,nt2
         if (nt2>ntrac) then
-          stop 'Augmenter le nombre de traceurs dans traceur.def'
+          stop'Augmenter le nombre de traceurs dans traceur.def'
         endif
         if (kmax .ne. kmax2) then
Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 3356)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 3411)
@@ -228,5 +228,5 @@
         logical  :: trouve_700=.true.
         parameter (dt_sandu=6.*3600.)   ! forcages donnes ttes les 6 heures par ifa_sandu.txt
-        parameter (tau_sandu=30000*3600.)  ! temps de relaxation u,v,thetal,qt vers profil init et au dessus 700hPa
+        parameter (tau_sandu=3600.)  ! temps de relaxation u,v,thetal,qt vers profil init et au dessus 700hPa
 !!
         real ts_sandu(nt_sandu)
Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/dyn1d/1D_nudge_sandu_astex.h
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/dyn1d/1D_nudge_sandu_astex.h	(revision 3356)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/dyn1d/1D_nudge_sandu_astex.h	(revision 3411)
@@ -20,9 +20,11 @@
 !     print *,'l dt  relax dtadv',l,dt_phys(l),relax_thl(l),d_t_adv(l)
       enddo
-
-        u(1:mxcalc)=u(1:mxcalc) + timestep*( du_age(1:mxcalc)+             &          
+        u(1:mxcalc)=u(1:mxcalc) + timestep*(                                &          
      &              du_phys(1:mxcalc) - relax_u(1:mxcalc))
-        v(1:mxcalc)=v(1:mxcalc) + timestep*( dv_age(1:mxcalc)+              &
+        v(1:mxcalc)=v(1:mxcalc) + timestep*(                                &
      &               dv_phys(1:mxcalc) - relax_v(1:mxcalc))
+!       q(1:mxcalc,:)=q(1:mxcalc,:)+timestep*(
+!    .              dq(1:mxcalc,:) - relax_q(1:mxcalc,:)+
+!    .              d_q_adv(1:mxcalc,:))
         q(1:mxcalc,1)=q(1:mxcalc,1)+timestep*(                              &
      &      dq(1:mxcalc,1) - relax_q(1:mxcalc,1)+d_q_adv(1:mxcalc,1))
@@ -32,3 +34,2 @@
      &      dt_phys(1:mxcalc)-relax_thl(1:mxcalc)+d_t_adv(1:mxcalc))
 
-
Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/dyn1d/lmdz1d.F90
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/dyn1d/lmdz1d.F90	(revision 3356)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/dyn1d/lmdz1d.F90	(revision 3411)
@@ -286,7 +286,4 @@
        hthturb_gcssold = 0.
        hqturb_gcssold = 0.
-
-
-
 
 !---------------------------------------------------------------------
@@ -512,5 +509,5 @@
       call ymds2ju(annee_ref,mois,day_ref,heure,day)
       day_ini = int(day)
-      day_end = day_ini + int(fnday)
+      day_end = day_ini + fnday
 
       IF (forcing_type .eq.2) THEN
@@ -585,5 +582,5 @@
       call infotrac_init 
 
-      if (nqtot>nqmx) STOP 'Augmenter nqmx dans lmdz1d.F'
+      if (nqtot>nqmx) STOP'Augmenter nqmx dans lmdz1d.F'
       allocate(q(llm,nqtot)) ; q(:,:)=0.
       allocate(dq(llm,nqtot)) 
@@ -988,5 +985,4 @@
 !
 !=====================================================================
-       CALL iophys_ini
 ! START OF THE TEMPORAL LOOP :
 !=====================================================================
@@ -1113,19 +1109,14 @@
       endif     
 !RC
-      if (forcing_sandu) then
-         ug(1:llm)=u_mod(1:llm)
-         vg(1:llm)=v_mod(1:llm)
-      endif
 
       IF (prt_level >= 5) print*, 'fcoriolis, xlat,mxcalc ', &
                                    fcoriolis, xlat,mxcalc
 
+       du_age(1:mxcalc)=fcoriolis*(v(1:mxcalc)-vg(1:mxcalc))
+       dv_age(1:mxcalc)=-fcoriolis*(u(1:mxcalc)-ug(1:mxcalc))
 !       print *,'u-ug=',u-ug
 
 !!!!!!!!!!!!!!!!!!!!!!!!
 ! Geostrophic wind
-! Le calcul ci dessous est insuffisamment precis
-!      du_age(1:mxcalc)=fcoriolis*(v(1:mxcalc)-vg(1:mxcalc))
-!      dv_age(1:mxcalc)=-fcoriolis*(u(1:mxcalc)-ug(1:mxcalc))
 !!!!!!!!!!!!!!!!!!!!!!!!
        sfdt = sin(0.5*fcoriolis*timestep)
